unit Unit_EXE;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls;

type
  TForm186 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form186: TForm186;

implementation

{$R *.dfm}

uses WinAPI.GDIPApi, WinAPI.GDIPObj;

procedure Test; external 'Chart_DLL';

// This is necessary when GDI+ is used inside a DLL:
procedure Initialize_GDIPlus;
begin

  // Initialize StartupInput structure
  StartupInput.DebugEventCallback := nil;
  StartupInput.SuppressBackgroundThread := False;
  StartupInput.SuppressExternalCodecs := False;
  StartupInput.GdiplusVersion := 1;

  GdiplusStartup(gdiplusToken, @StartupInput, nil);
end;

procedure Finalize_GDIPlus;
begin
  GdiplusShutdown(gdiplusToken);
end;

procedure TForm186.Button1Click(Sender: TObject);
begin
  Initialize_GDIPlus;  // <-- if not called, an Access Violation in GDIPlus.dll

  Test;

  Finalize_GDIPlus;
end;

end.
